List
curl --request GET \
--url https://{defaultHost}/v1/line_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/line_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/line_items"
},
"data": [
{
"id": "8fecb5ee-968a-4189-8444-5590c4634bf0",
"object": "line_item",
"ad_hoc_amount": null,
"discount_amount": 0,
"fees_amount": 0,
"full_amount": 2900,
"fulfilled_quantity": 0,
"locked": false,
"note": null,
"purchasable_status": "purchasable",
"quantity": 1,
"g_weight": 0,
"scratch_amount": 2900,
"stock_held": false,
"subtotal_amount": 2900,
"tax_amount": 0,
"tax_rate": 0,
"total_amount": 2900,
"total_savings_amount": 0,
"trial": false,
"trial_amount": 0,
"unit_dimensions_cm": null,
"unit_g_weight": 0,
"variant_options": null,
"variant_option_names": null,
"bump": null,
"checkout": "463c9a0d-bfa0-49ac-8754-8d676ec7cd35",
"price": "b7e8ffaf-6f7c-462b-8d82-615aa4de9bec",
"upsell": null,
"variant": null,
"swap": null,
"component_line_item": false,
"bundle_component_variants": {},
"bundle_line_item": null,
"created_at": 1782485846,
"updated_at": 1782485846
}
]
}Line Items
List
Returns a list of your line_items.
GET
/
v1
/
line_items
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given checkouts.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Was this page helpful?
⌘I